com.amazon.redshift.jdbc

## Class RedshiftPreparedStatement

- java.lang.Object
- - com.amazon.redshift.jdbc.RedshiftStatementImpl
  - - com.amazon.redshift.jdbc.RedshiftPreparedStatement

All Implemented Interfaces:
  BaseStatement, RedshiftStatement, AutoCloseable, PreparedStatement, Statement, Wrapper

Direct Known Subclasses:
  RedshiftCallableStatement

    public class RedshiftPreparedStatement
    extends RedshiftStatementImpl
    implements PreparedStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazon.redshift.jdbc.RedshiftStatementImpl

`RedshiftStatementImpl.StatementResultHandler`

### Field Summary

Fields
`protected boolean` `enableGeneratedName`
`protected ParameterList` `preparedParameters`
`protected CachedQuery` `preparedQuery`

### Fields inherited from class com.amazon.redshift.jdbc.RedshiftStatementImpl

`autoGeneratedKeys, batchParameters, batchStatements, concurrency, connection, fetchdirection, fetchSize, firstUnclosedResult, generatedKeys, maxFieldSize, maxrows, mPrepareThreshold, replaceProcessingEnabled, result, resultsettype, timeout, wantsGeneratedKeysAlways, wantsGeneratedKeysOnce, warnings`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Fields inherited from interface com.amazon.redshift.RedshiftStatement

`DATE_NEGATIVE_INFINITY, DATE_NEGATIVE_SMALLER_INFINITY, DATE_POSITIVE_INFINITY, DATE_POSITIVE_SMALLER_INFINITY`

### Method Summary

Methods
`void` `addBatch()`
`void` `addBatch(String sql)`
`protected void` `bindBytes(int paramIndex, byte[] b, int oid)`
`protected void` `bindLiteral(int paramIndex, String s, int oid)` Note if s is a String it should be escaped by the caller to avoid SQL injection attacks.
`void` `clearParameters()`
`void` `closeImpl()` This is guaranteed to be called exactly once even in case of concurrent `RedshiftStatementImpl.close()` calls.
`protected long` `createBlob(int i, InputStream inputStream, long length)`
`ParameterMetaData` `createParameterMetaData(BaseConnection conn, int[] oids)`
`boolean` `execute()`
`boolean` `execute(String sql)`
`int[]` `executeBatch()`
`long` `executeLargeUpdate()`
`ResultSet` `executeQuery()`
`ResultSet` `executeQuery(String sql)`
`int` `executeUpdate()`
`int` `executeUpdate(String sql)`
`boolean` `executeWithFlags(int flags)` Execute a prepared query, passing additional query flags.
`ResultSetMetaData` `getMetaData()`
`ParameterMetaData` `getParameterMetaData()`
`protected boolean` `isOneShotQuery(CachedQuery cachedQuery)` Returns true if query is unlikely to be reused.
`boolean` `isUseServerPrepare()` Checks if this statement will be executed as a server-prepared statement.
`void` `setArray(int i, Array x)`
`void` `setAsciiStream(int parameterIndex, InputStream value)`
`void` `setAsciiStream(int parameterIndex, InputStream x, int length)`
`void` `setAsciiStream(int parameterIndex, InputStream value, long length)`
`void` `setBigDecimal(int parameterIndex, BigDecimal x)`
`void` `setBinaryStream(int parameterIndex, InputStream value)`
`void` `setBinaryStream(int parameterIndex, InputStream x, int length)`
`void` `setBinaryStream(int parameterIndex, InputStream value, long length)`
`void` `setBlob(int i, Blob x)`
`void` `setBlob(int parameterIndex, InputStream inputStream)`
`void` `setBlob(int parameterIndex, InputStream inputStream, long length)`
`void` `setBoolean(int parameterIndex, boolean x)`
`void` `setByte(int parameterIndex, byte x)`
`void` `setBytes(int parameterIndex, byte[] x)`
`void` `setCharacterStream(int parameterIndex, Reader value)`
`void` `setCharacterStream(int i, Reader x, int length)`
`void` `setCharacterStream(int parameterIndex, Reader value, long length)`
`void` `setClob(int i, Clob x)`
`void` `setClob(int parameterIndex, Reader reader)`
`void` `setClob(int parameterIndex, Reader reader, long length)`
`void` `setDate(int parameterIndex, Date x)`
`void` `setDate(int i, Date d, Calendar cal)`
`void` `setDouble(int parameterIndex, double x)`
`void` `setFloat(int parameterIndex, float x)`
`void` `setGeography(int parameterIndex, byte[] x)`
`void` `setInt(int parameterIndex, int x)`
`void` `setLong(int parameterIndex, long x)`
`void` `setNCharacterStream(int parameterIndex, Reader value)`
`void` `setNCharacterStream(int parameterIndex, Reader value, long length)`
`void` `setNClob(int parameterIndex, NClob value)`
`void` `setNClob(int parameterIndex, Reader reader)`
`void` `setNClob(int parameterIndex, Reader reader, long length)`
`void` `setNString(int parameterIndex, String value)`
`void` `setNull(int parameterIndex, int sqlType)`
`void` `setNull(int parameterIndex, int t, String typeName)`
`void` `setObject(int parameterIndex, Object x)`
`void` `setObject(int parameterIndex, Object x, int targetSqlType)`
`void` `setObject(int parameterIndex, Object in, int targetSqlType, int scale)`
`void` `setObject(int parameterIndex, Object x, java.sql.SQLType targetSqlType)`
`void` `setObject(int parameterIndex, Object x, java.sql.SQLType targetSqlType, int scaleOrLength)`
`void` `setRef(int i, Ref x)`
`void` `setRowId(int parameterIndex, RowId x)`
`void` `setShort(int parameterIndex, short x)`
`void` `setSQLXML(int parameterIndex, SQLXML xmlObject)`
`void` `setString(int parameterIndex, String x)`
`protected void` `setString(int parameterIndex, String x, int oid)`
`void` `setTime(int parameterIndex, Time x)`
`void` `setTime(int i, Time t, Calendar cal)`
`void` `setTimestamp(int parameterIndex, Timestamp x)`
`void` `setTimestamp(int i, Timestamp t, Calendar cal)`
`void` `setUnicodeStream(int parameterIndex, InputStream x, int length)`
`void` `setURL(int parameterIndex, URL x)`
`void` `setVarbyte(int parameterIndex, byte[] x)`
`String` `toString()` Returns the SQL statement with the current template values substituted.
`protected void` `transformQueriesAndParameters()`

### Methods inherited from class com.amazon.redshift.jdbc.RedshiftStatementImpl

`addWarning, cancel, checkClosed, checkCompletion, checkNoResultUpdate, clearBatch, clearWarnings, close, closeForNextExecution, closeOnCompletion, createBatchHandler, createDriverResultSet, createResultSet, execute, execute, execute, execute, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeUpdate, executeUpdate, executeUpdate, executeWithFlags, executeWithFlags, getConnection, getFetchDirection, getFetchingCursorName, getFetchSize, getForceBinaryTransfer, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getLastOID, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getPrepareThreshold, getQueryTimeout, getQueryTimeoutMs, getRedshiftConnection, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSingleResultSet, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setPrepareThreshold, setQueryTimeout, setQueryTimeoutMs, setUseServerPrepare, unwrap, updateStatementCancleState, wantsHoldableResultSet, wantsScrollableResultSet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### preparedQuery

    protected final CachedQuery preparedQuery

#### preparedParameters

    protected final ParameterList preparedParameters

#### enableGeneratedName

    protected boolean enableGeneratedName

### Method Detail

#### executeQuery

    public ResultSet executeQuery(String sql)
                           throws SQLException

Specified by:
  `executeQuery` in interface `Statement`
Overrides:
  `executeQuery` in class `RedshiftStatementImpl`
Throws:
  `SQLException`

#### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

Specified by:
  `executeQuery` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate(String sql)
                      throws SQLException

Specified by:
  `executeUpdate` in interface `Statement`
Overrides:
  `executeUpdate` in class `RedshiftStatementImpl`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate()
                      throws SQLException

Specified by:
  `executeUpdate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeLargeUpdate

    public long executeLargeUpdate()
                            throws SQLException

Throws:
  `SQLException`

#### execute

    public boolean execute(String sql)
                    throws SQLException

Specified by:
  `execute` in interface `Statement`
Overrides:
  `execute` in class `RedshiftStatementImpl`
Throws:
  `SQLException`

#### execute

    public boolean execute()
                    throws SQLException

Specified by:
  `execute` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeWithFlags

    public boolean executeWithFlags(int flags)
                             throws SQLException

Description copied from interface: `BaseStatement`
Execute a prepared query, passing additional query flags.

Specified by:
  `executeWithFlags` in interface `BaseStatement`
Overrides:
  `executeWithFlags` in class `RedshiftStatementImpl`
Parameters:
  `flags` - additional `QueryExecutor` flags for execution; these are bitwise-ORed into the default flags.
Returns:
  true if there is a result set
Throws:
  `SQLException` - if something goes wrong.

#### isOneShotQuery

    protected boolean isOneShotQuery(CachedQuery cachedQuery)

Description copied from class: `RedshiftStatementImpl`
Returns true if query is unlikely to be reused.

Overrides:
  `isOneShotQuery` in class `RedshiftStatementImpl`
Parameters:
  `cachedQuery` - to check (null if current query)
Returns:
  true if query is unlikely to be reused

#### closeImpl

    public void closeImpl()
                   throws SQLException

Description copied from class: `RedshiftStatementImpl`
This is guaranteed to be called exactly once even in case of concurrent `RedshiftStatementImpl.close()` calls.

Overrides:
  `closeImpl` in class `RedshiftStatementImpl`
Throws:
  `SQLException` - in case of error

#### setNull

    public void setNull(int parameterIndex,
               int sqlType)
                 throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBoolean

    public void setBoolean(int parameterIndex,
                  boolean x)
                    throws SQLException

Specified by:
  `setBoolean` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setByte

    public void setByte(int parameterIndex,
               byte x)
                 throws SQLException

Specified by:
  `setByte` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setShort

    public void setShort(int parameterIndex,
                short x)
                  throws SQLException

Specified by:
  `setShort` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setInt

    public void setInt(int parameterIndex,
              int x)
                throws SQLException

Specified by:
  `setInt` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setLong

    public void setLong(int parameterIndex,
               long x)
                 throws SQLException

Specified by:
  `setLong` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setFloat

    public void setFloat(int parameterIndex,
                float x)
                  throws SQLException

Specified by:
  `setFloat` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDouble

    public void setDouble(int parameterIndex,
                 double x)
                   throws SQLException

Specified by:
  `setDouble` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                     BigDecimal x)
                       throws SQLException

Specified by:
  `setBigDecimal` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setString

    public void setString(int parameterIndex,
                 String x)
                   throws SQLException

Specified by:
  `setString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setString

    protected void setString(int parameterIndex,
                 String x,
                 int oid)
                      throws SQLException

Throws:
  `SQLException`

#### setBytes

    public void setBytes(int parameterIndex,
                byte[] x)
                  throws SQLException

Specified by:
  `setBytes` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setVarbyte

    public void setVarbyte(int parameterIndex,
                  byte[] x)
                    throws SQLException

Throws:
  `SQLException`

#### setGeography

    public void setGeography(int parameterIndex,
                    byte[] x)
                      throws SQLException

Throws:
  `SQLException`

#### setDate

    public void setDate(int parameterIndex,
               Date x)
                 throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(int parameterIndex,
               Time x)
                 throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(int parameterIndex,
                    Timestamp x)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                      InputStream x,
                      int length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                        InputStream x,
                        int length)
                          throws SQLException

Specified by:
  `setUnicodeStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                       InputStream x,
                       int length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### clearParameters

    public void clearParameters()
                         throws SQLException

Specified by:
  `clearParameters` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int parameterIndex,
                 Object in,
                 int targetSqlType,
                 int scale)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int parameterIndex,
                 Object x,
                 int targetSqlType)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int parameterIndex,
                 Object x)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### toString

    public String toString()

Returns the SQL statement with the current template values substituted.

Overrides:
  `toString` in class `Object`
Returns:
  SQL statement with the current template values substituted

#### bindLiteral

    protected void bindLiteral(int paramIndex,
                   String s,
                   int oid)
                        throws SQLException

Note if s is a String it should be escaped by the caller to avoid SQL injection attacks. It is not done here for efficiency reasons as most calls to this method do not require escaping as the source of the string is known safe (i.e. `Integer.toString()`)

Parameters:
  `paramIndex` - parameter index
  `s` - value (the value should already be escaped)
  `oid` - type oid
Throws:
  `SQLException` - if something goes wrong

#### bindBytes

    protected void bindBytes(int paramIndex,
                 byte[] b,
                 int oid)
                      throws SQLException

Throws:
  `SQLException`

#### isUseServerPrepare

    public boolean isUseServerPrepare()

Description copied from interface: `RedshiftStatement`
Checks if this statement will be executed as a server-prepared statement. A return value of `true` indicates that the next execution of the statement will be done as a server-prepared statement, assuming the underlying protocol supports it.

Specified by:
  `isUseServerPrepare` in interface `RedshiftStatement`
Overrides:
  `isUseServerPrepare` in class `RedshiftStatementImpl`
Returns:
  true if the next reuse of this statement will use a server-prepared statement

#### addBatch

    public void addBatch(String sql)
                  throws SQLException

Specified by:
  `addBatch` in interface `Statement`
Overrides:
  `addBatch` in class `RedshiftStatementImpl`
Throws:
  `SQLException`

#### addBatch

    public void addBatch()
                  throws SQLException

Specified by:
  `addBatch` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setArray

    public void setArray(int i,
                Array x)
                  throws SQLException

Specified by:
  `setArray` in interface `PreparedStatement`
Throws:
  `SQLException`

#### createBlob

    protected long createBlob(int i,
                  InputStream inputStream,
                  long length)
                       throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(int i,
               Blob x)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int i,
                          Reader x,
                          int length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int i,
               Clob x)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(int parameterIndex,
               int t,
               String typeName)
                 throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRef

    public void setRef(int i,
              Ref x)
                throws SQLException

Specified by:
  `setRef` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(int i,
               Date d,
               Calendar cal)
                 throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(int i,
               Time t,
               Calendar cal)
                 throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(int i,
                    Timestamp t,
                    Calendar cal)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### createParameterMetaData

    public ParameterMetaData createParameterMetaData(BaseConnection conn,
                                            int[] oids)
                                              throws SQLException

Throws:
  `SQLException`

#### setObject

    public void setObject(int parameterIndex,
                 Object x,
                 java.sql.SQLType targetSqlType,
                 int scaleOrLength)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int parameterIndex,
                 Object x,
                 java.sql.SQLType targetSqlType)
                   throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRowId

    public void setRowId(int parameterIndex,
                RowId x)
                  throws SQLException

Specified by:
  `setRowId` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNString

    public void setNString(int parameterIndex,
                  String value)
                    throws SQLException

Specified by:
  `setNString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                           Reader value,
                           long length)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                           Reader value)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                          Reader value,
                          long length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                          Reader value)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                       InputStream value,
                       long length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                       InputStream value)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                      InputStream value,
                      long length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                      InputStream value)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                NClob value)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int parameterIndex,
               Reader reader,
               long length)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int parameterIndex,
               Reader reader)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int parameterIndex,
               InputStream inputStream,
               long length)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int parameterIndex,
               InputStream inputStream)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                Reader reader,
                long length)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                Reader reader)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(int parameterIndex,
                 SQLXML xmlObject)
                   throws SQLException

Specified by:
  `setSQLXML` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setURL

    public void setURL(int parameterIndex,
              URL x)
                throws SQLException

Specified by:
  `setURL` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeBatch

    public int[] executeBatch()
                       throws SQLException

Specified by:
  `executeBatch` in interface `Statement`
Overrides:
  `executeBatch` in class `RedshiftStatementImpl`
Throws:
  `SQLException`

#### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

Specified by:
  `getParameterMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### transformQueriesAndParameters

    protected void transformQueriesAndParameters()
                                          throws SQLException

Overrides:
  `transformQueriesAndParameters` in class `RedshiftStatementImpl`
Throws:
  `SQLException`